/***************************************************************************

	mp3.c

	PSP MP3 thread functions.

***************************************************************************/

#ifndef PSP_MP3_H
#define PSP_MP3_H

enum
{
	MP3_STOP = 0,
	MP3_SEEK,
	MP3_PAUSE,
	MP3_PLAY
};

extern volatile int mp3_wait_vblank;

int mp3_thread_start(void);
void mp3_thread_stop(void);
void mp3_set_volume(void);

int mp3_play(const char *name);
void mp3_stop(void);
void mp3_pause(int pause);
void mp3_seek_set(const char *fname, u32 frame, int pause);
void mp3_seek_start(void);
void mp3_file_reopen(void);

u32 mp3_get_current_frame(void);
int mp3_get_status(void);
void mp3_set_sleep_flag(void);

#endif /* PSP_MP3_H */
